<template>
	<view class="wrap">
		<image src="../../../static/img/hghg/hghgBg.jpg" class="bgImage"></image>
		<view class="btn-wrap">
			<view>
				<text class="button" @click="goKnow()">购票须知</text>
			</view>
			<view>
				<text class="button" @click="goBuy()">立即购票</text>
			</view>
			<!-- <view>
				<text class="button" @click="goOrder()">重庆市民免费游</text>
			</view> -->
		</view>
		<!-- 购票须知 -->
		<view class="buy-know" v-if="showKnow" @click="showKnow=false">
			<view class="box">
				<view class="title">
					告游客书
				</view>
				<view>
					尊敬的游客、广大市民：
				</view>
				
				<view>
					<text>
						景区开放时间：
					</text>
					{{extendInfo.openingHours||''}}。
				</view>
				<view>
					<text>
						博物馆开放日多媒体设备运行时间：
					</text>
					{{extendInfo.multifunctionalDevice||''}}。
				</view>
				<view>
					<text>
						免费人群：
					</text>
					{{extendInfo.freeCrowd||''}}。
				</view>
				<view>
					<text>
						退票须知：
					</text>
					{{extendInfo.noticeOfrefund||''}}。
				</view>
				<!-- <view>
					<text>重庆市民免费游门票优惠活动规则：</text>
					<view style="margin-top: 12rpx;">
						<text>活动时间：</text>
						2025年2月17日至2025年2月28日
					</view>
					<view style="margin-top: 12rpx;">
						<text>优惠人群：</text>
						重庆市户籍身份证游客
					</view>
					<view style="margin-top: 12rpx;">
						<text>领取方式：</text>
						需在重庆湖广会馆公众号至少提前1天预约，活动期间免费优惠门票（限量420张/天，不含景区演出和其他经营性收费项目等费用），领完为止。预约成功后凭本人身份证原件或预约码直接到景区检票口核验入园（活动期内，每天每位游客仅限预约1次订单）。
					</view>					
				</view> -->
				<view style="margin-top: 60rpx;display: flex;justify-content: center;">
					<text class="button" @click.stop="goBuy()">立即购票</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
export default {
  data() {
    return {
      urlQuery:'',
      showKnow:false,
      merchantId:'',//商户Id
      extendInfo:'',//扩展信息
    }
  },
  onLoad(option){
    let channelId=option.channelId||''
    let companyId=option.companyId||''
    let groupId=option.groupId||''
    let groupChannelId=option.groupChannelId||''
    this.merchantId=option.merchantId||''
    this.urlQuery=channelId+'&merchantId='+this.merchantId+'&groupId='+groupId+'&groupChannelId='+groupChannelId+'&companyId='+companyId
  },
  methods: {
    //---跳转组合票页面
    goBuy(){
      uni.navigateTo({
        url:'/pages/combination/distributionCombiChoose/distributionCombiChoose?channelId='+this.urlQuery
      })
    },
    //---跳转订单填写页面
    goOrder(){
		  let query='?merchantId=cdd4da5d154a4512bd5f3bec2797557b&productId=z001631001788677ae6f79afc48392d3'
		  uni.navigateTo({
		    url: '/pages/scenic/scenicSingleOrder/scenicSingleOrder'+ query
		  })
    },
    //---购票须知
    goKnow(){
      this.showKnow=true
      this.initDetail()
    },
    //---初始化详情
    initDetail(){
		  let data={
		    userId:uni.getStorageSync('userId')||'',
		    openid:uni.getStorageSync('openid')||'',
		    id:this.merchantId,
		    isDetail:1,//商户详情
		  }
		  this.$request('scenic/user/merchant/findDetailInfo',data).then((res)=>{
		    if(res.code=='00'){
		      this.extendInfo=res.data.extendInfo
		    }else{
		      uni.showToast({
		        title: res.message,
		        icon: 'none'
		      })
		    }
		  })
    },
  }
}
</script>

<style scoped>
.wrap{
	height: 100%;
	font-size: 40rpx;
	display: flex;
	align-items: center;
	justify-content:center;
}
.bgImage{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: -1;
}
.btn-wrap{
	position: relative;
	top: -200rpx;
}
.btn-wrap>view:not(:first-child){
	margin-top: 100rpx;
}
.button{
	width: 520rpx;
	height: 112rpx;
	display:flex;
	align-items: center;
	justify-content: center;
	background: url('../../../static/img/hghg/bigBtn.png') no-repeat;
	background-size: 100% 100%;
}
.buy-know{
	padding: 0 44rpx;
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.3);
}
.box{
	padding: 60rpx 40rpx;
	background: url('../../../static/img/hghg/dialog.png') no-repeat;
	background-size: 100% 100%;
	color: #000000;
	font-size: 28rpx;
	width: 100%;
	max-height: 90%;
	overflow-y: auto;
}
.box>view{
	margin-top: 16rpx;
}
.box view text{
	font-weight: bold;
}
.title{
	font-weight: bold;
	font-size: 40rpx;
	text-align: center;
}
.button{
	display: flex;
	width: 260rpx;
	height: 96rpx;
	background: url('../../../static/img/hghg/smallBtn.png') no-repeat;
	background-size: 100% 100%;
	align-items: center;
	justify-content: center;
	font-size: 32rpx;
}
</style>
